#! /usr/bin/env python
# -*- coding: utf-8 -*-

import sys
import os
import time

sys.path.append(os.path.dirname(os.path.abspath(__file__)) + '/../');

from MTCloud import MTCloud

if __name__ == '__main__':
    client = MTCloud()
    
    res = client.userAccess('12345','大兵',client.ROLE_USER,'119',3600)
    print(res);

    res = client.roomGetInfo('119')
    print(res)

    res = client.roomCreate('测试')
    print(res)

    res = client.roomDrop('10037')
    print(res)

    res = client.roomList()
    print(res)

    res = client.roomBindAccount(144,10000)
    print(res)

    res = client.roomUnbindAccount(144,10000)
    print(res)

    res = client.zhuboGet(10000)
    print(res)

    res = client.zhuboCreate('abc','大兵',password='123456')
    print(res)

    res = client.zhuboDel('abc')
    print(res)

    res = client.zhuboList()
    print(res)

    res = client.liveGet(998)
    print(res)

    res = client.liveGetBatch([998])
    print(res)

    res = client.liveList('2014-12-20','2014-12-26')
    print(res)

    res = client.liveAlbumCreate('专辑1')
    print(res)

    res = client.liveAlbumGet('100028')
    print(res)

    res = client.liveAlbumDelete('100028')
    print(res)

    res = client.liveAlbumAdd('100028',[998])
    print(res)

    res = client.liveAlbumRemove('100028',[998])
    print(res)
    
    now = time.time()
    nowFormat = time.strftime('%Y-%m-%d %H:%M',time.localtime(now))
    oneWeekAgo = time.strftime('%Y-%m-%d %H:%M',time.localtime(now-86400*7))
    res = client.liveRoomGet('119',nowFormat)
    print(res)  
    
    res = client.userAccessPlayback('12345','wesin',client.ROLE_USER,119,3600)
    print(res)
    
    res = client.userAccessPlaybackAlbum(12345,'wesin',client.ROLE_USER,100028,3600,option = [])
    print(res)
    
    res = client.userOnlineList(119,oneWeekAgo, nowFormat)
    print(res)
    
    res = client.roomCreate('testRoom',None,'sdfds')
    print(res)
    
    res = client.roomUpdate(119,"RN")
    print(res)
    
    res = client.zhuboLogin(12345)
    print(res)
    
    res = client.zhuboUpdateInfo(12345,client.ACCOUNT_TYPE_MT,'wesin2',intro = '')
    print(res)
    
    res = client.zhuboUpdatePassword(12346,client.ACCOUNT_TYPE_MT,'123456')
    print(res)
    
    
    res = client.liveRoomList(119,oneWeekAgo,nowFormat,3600)
    print(res)